Package net.snowflake.client.config

## Class ConnectionParameters

- java.lang.Object
- - net.snowflake.client.config.ConnectionParameters

    @SnowflakeJdbcInternalApi
    public class ConnectionParameters
    extends Object

### Constructor Summary

Constructors
`ConnectionParameters​(String uri, Properties params)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Properties` `getParams()`
`String` `getUrl()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConnectionParameters

    public ConnectionParameters​(String uri,
                                Properties params)

### Method Detail

#### getUrl

    public String getUrl()

#### getParams

    public Properties getParams()